Package org.eclipse.emf.cdo.view

## Interface CDOViewCommitInfoListener

- All Superinterfaces:
    `CDOCommitInfoHandler`, `java.util.EventListener`, `org.eclipse.net4j.util.event.IListener`

      public interface CDOViewCommitInfoListener
      extends CDOCommitInfoHandler, org.eclipse.net4j.util.event.IListener

  A `listener` that, when added to a `view`, `notifies` about `commits` to the view's `branch`.

  This is an alternative approach to listening for `view invalidation events`, which impose a few usage challenges:

  1. They're fired while the view is holding the view lock, which can lead to deadlock in a listener.
  2. They report only changes about objects that are actually loaded in the view, not all objects in the original commit.
  Since:
    4.12
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default void` | `handleCommitInfo​(CDOCommitInfo commitInfo)` |
    `void` | `notifyCommitInfo​(CDOCommitInfo commitInfo)` |
    `default void` | `notifyEvent​(org.eclipse.net4j.util.event.IEvent event)` |

- - ### Method Detail

    - #### notifyCommitInfo

          void notifyCommitInfo​(CDOCommitInfo commitInfo)

    - #### handleCommitInfo

          default void handleCommitInfo​(CDOCommitInfo commitInfo)

      Specified by:
        `handleCommitInfo` in interface `CDOCommitInfoHandler`

    - #### notifyEvent

          default void notifyEvent​(org.eclipse.net4j.util.event.IEvent event)

      Specified by:
        `notifyEvent` in interface `org.eclipse.net4j.util.event.IListener`